=== modified file 'Makefile'
--- Makefile	2007-07-03 17:07:29 +0000
+++ Makefile	2007-07-03 17:12:17 +0000
@@ -139,6 +139,7 @@
 # make bzr.exe for win32 with py2exe
 exe:
 	@echo *** Make bzr.exe
+	python setup.py build_ext -i -f
 	python setup.py py2exe > py2exe.log
 	python tools/win32/ostools.py copytodir tools/win32/start_bzr.bat win32_bzr.exe
 	python tools/win32/ostools.py copytodir tools/win32/bazaar.url win32_bzr.exe

=== modified file 'setup.py'
--- setup.py	2007-07-03 17:07:29 +0000
+++ setup.py	2007-07-03 17:12:17 +0000
@@ -226,6 +226,9 @@
         import warnings
         warnings.warn('Unknown Python version.\n'
                       'Please check setup.py script for compatibility.')
+    # email package from std python library use lazy import,
+    # so we need to explicitly add all package
+    additional_packages.append('email')
 
     options_list = {"py2exe": {"packages": BZRLIB['packages'] +
                                            additional_packages,

